Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.webservices.wsdl
Class WsdlOperation

    java.lang.Object
      org.pentaho.di.trans.steps.webservices.wsdl.WsdlOperation

All Implemented Interfaces:
  Serializable

    public final class WsdlOperation

extends Object
implements Serializable

WSDL operation abstraction.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `WsdlOperation.SOAPBindingStyle` SOAP Binding style enumeration.
`static class` | `WsdlOperation.SOAPBindingUse` SOAP Binding use enumeration.
`static class` | `WsdlOperation.SOAPParameterStyle` Parameter style enumeration.

Method Summary
`WsdlOpFaultList` | `getFaults()` Get the faults defined for this operation.
`QName` | `getOperationQName()` Get the operation's QName.
`WsdlOpParameterList` | `getParameters()` Get the parameter list for this operation.
`WsdlOpReturnType` | `getReturnType()` Get the return type for this operation.
`String` | `getSOAPAction()` Get the SOAP action uri for this operation.
`WsdlOperation.SOAPBindingStyle` | `getSOAPBindingStyle()` Get the SOAPBinding Style.
`WsdlOperation.SOAPBindingUse` | `getSOAPBindingUse()` Get the SOAPBinding use.
`WsdlOperation.SOAPParameterStyle` | `getSOAPParameterStyle()` Get the SOAPParameter style.
`boolean` | `isOneway()` Is this a oneway operation?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFaults

    public WsdlOpFaultList getFaults()

  Get the faults defined for this operation.

  Returns:
    WsdlOpFaultList

### getOperationQName

    public QName getOperationQName()

  Get the operation's QName.

  Returns:
    Operation QName.

### getSOAPAction

    public String getSOAPAction()

  Get the SOAP action uri for this operation.

  Returns:
    String, null if SOAPAction not defined for this operation.

### getSOAPBindingStyle

    public WsdlOperation.SOAPBindingStyle getSOAPBindingStyle()

  Get the SOAPBinding Style.

  Returns:
    A SOAPBindingStyle enum type value.

### getSOAPBindingUse

    public WsdlOperation.SOAPBindingUse getSOAPBindingUse()

  Get the SOAPBinding use.

  Returns:
    A SOAPBindingUse enum type value.

### getSOAPParameterStyle

    public WsdlOperation.SOAPParameterStyle getSOAPParameterStyle()

  Get the SOAPParameter style.

  Returns:
    A SOAPParameterStyle enum type value.

### getParameters

    public WsdlOpParameterList getParameters()

  Get the parameter list for this operation.

  Returns:
    An ordered list of parameters, empty list if this operation has no parameters.

### getReturnType

    public WsdlOpReturnType getReturnType()

  Get the return type for this operation.

  Returns:
    A WsdlOpReturnType instance, null if this operation does not have a return value.

### isOneway

    public boolean isOneway()

  Is this a oneway operation?

  Returns:
    true if this is a oneway operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD